Subject: CUP24-001 & SEP24-003 Herzl-Ner Tamid - Comments from Neighbors
From: "John Michael Hall" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>, <[email-masked]>
Date: Tue, 21 May 2024 12:40:44 -0700

Good afternoon, please find attached the neighbors' response to the Request
for a Conditional Use Permit with SEPA Review for the construction of a new,
three-story K-8 school with rental offices, shared parking, and associated
site improvements.  Please make sure our comments are on record.

John Hall

Tel:  206-914-5599